---
lang: en
title: 'API docs: authorization.getauthorizationmetadata'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.authorization.getauthorizationmetadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authorization](./authorization.md) &gt; [getAuthorizationMetadata](./authorization.getauthorizationmetadata.md)

## getAuthorizationMetadata() function

Fetch authorization metadata stored by `@authorize` decorator.

<b>Signature:</b>

```typescript
export declare function getAuthorizationMetadata(target: object, methodName: string): AuthorizationMetadata | undefined;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  target | <code>object</code> |  |
|  methodName | <code>string</code> |  |

<b>Returns:</b>

`AuthorizationMetadata | undefined`


